/**
 * Adaptivetheme takes a pretty heavy handed approach to form styling,
 * this is so you can have decent looking forms without having to do a
 * lot of work. The CSS is included in full, including all positioning,
 * so you can change anything you want.
 */
form {
  margin: 0 0 1.5em;
  padding: 0;
}
.form-item label {
  font-weight: 400;
}
input {
  margin: 0;
  max-width: 100%;
}

input.text,
input.title,
textarea,
select {
  border: 1px solid #ccc;
  margin: 0;
}

form input.form-submit {
  background-color: #9d4c94;
  background-image: url(../images/button_bg.gif);
  background-repeat: repeat-x;
  padding: 0.3em 1.1em;
  color: #fff;
  cursor: pointer;
  border: 0;
  margin-right: 0.2em;
  -moz-box-shadow: 0 0 5px #b9b8b9;
  -webkit-box-shadow: 0 0 5px #b9b8b9;
  box-shadow: 0 0 5px #b9b8b9;
}

/* Focus styles for accessibility and usabiltiy. */
.form-text:focus,
.form-checkbox:focus,
.form-radio:focus,
.form-select:focus {
  border: 1px solid #fc0;
  background: #ffffdf;
}
textarea:focus {
  border: 1px solid #fc0;
  background: #fff;
}

/* Inputs and textarea */
input.text,
input.title {
  padding: .5em;
}
input.form-text,
textarea {
  border: 1px solid #ccc;
  height: auto;
  padding: 2px;
}
textarea,
input {
  font: 1em normal Arial, Helvetica, sans-serif;
}
div.resizable-textarea textarea {
  margin-top: 0;
}

/* Misc */
.form-item,
.form-actions {
  margin-top: 10px;
  margin-bottom: 10px;
}

.exposed-filters .form-item {
  margin-top: 0;
  margin-bottom: 10px;
}

.form-item textarea.error {
  padding: 2px;
}

.form-item .description,
fieldset .description,
.fieldset-layout-settings dd {
  font-size: 0.846em;
}

.form-managed-file .form-submit {
  margin-left: 5px;
}

/* Required, mark */
span.form-required,
span.marker {}


/* Fieldsets */
fieldset {
  background: transparent;
  border: 1px solid #dadada;
  margin: 10px 0;
  padding: 10px;
}
fieldset fieldset:last-child {
  margin-bottom: 0;
}
.form-type-radio .description,
.form-type-checkbox .description {
  margin-left: 0;
}
*:first-child+html fieldset {
  background-color: transparent;
  background-position: 0 10px;
  padding: 0 10px 10px;
}
*:first-child+html fieldset > .description,
*:first-child+html fieldset .fieldset-wrapper .description {
  padding-top: 10px;
}
fieldset legend {
  display: block;
  font-weight: 400;
  padding: 0 10px 0 0;
}
*:first-child+html fieldset legend,
*:first-child+html fieldset.collapsed legend {
  display: inline;
}
html.js fieldset.collapsed {
  background: transparent;
  padding-top: 5px;
}
/* Form descriptions */
.description {}

/* Search */
#search-block-form {}
#search-block-form > div {}
#search-block-form .container-inline{}
#edit-search-block-form-1-wrapper {}
#search-block-form label {}
#search-block-form input {}
#search-block-form .form-submit {}
#search-block-form .form-text {}

/* Advanced search form */
fieldset#edit-advanced fieldset {
  float: left;
  margin: 0 10px 10px 0;
}
fieldset#edit-advanced fieldset .fieldset-legend {
  background: none;
  padding-left: 1em;
}
.advanced-search-submit {
  clear: both;
}
.search-advanced .criterion {
  float: none;
  margin: 0 5px;
}
#edit-keywords-fieldset .form-item:first-child {
  margin-top: 5px;
}
#search-form {
  margin: 10px 0;
}
#search-form > div {}
#search-form .container-inline {}
#search-form label {}
#search-form input {}
#search-form .form-item {}
#search-form .form-submit {}

/* User login */
#user-login-form ul {
  margin: 0;
  padding: 0;
}
#user-login-form li.openid-link,
#user-login-form li.user-link {
  text-align: center;
}
#user-login ul {
  margin: 0 0 5px;
}
#user-login ul li {
  margin: 0;
}
#user-login-form .item-list li {
  list-style: none;
  margin: 0;
}
#user-login-form li.openid-link,
#user-login li.openid-link {
  background: none;
}

/* hide lable class - mostly deprecated but could be present in an upgraded theme */
.hide-label label {
  position: absolute !important;
  clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
  clip: rect(1px, 1px, 1px, 1px);
  background: none;
}

/* Admin filters, could be redundant, need to test. */
#user-admin-filter ul li,
#article-admin-filter ul li {
  list-style: none;
}
#article-admin-filter ul {
  padding: .5em 0;
}
#edit-operation-wrapper select {
  margin: .5em;
}

/* Tips overrides */
.field-type-text-long fieldset {
  padding: 10px 0;
}
.field-type-text-long fieldset .form-item {
  margin: 0;
  padding: 0 0 0 15px;
}
fieldset .filter-help {
  padding: 0 15px 5px;
}
.filter-guidelines {
  font-size: .923em;
  margin: 0;
  padding: 5px 18px 10px;
}
.tips {
  font-size: 0.857em;
  margin: 0 0 0 15px;
  padding: 0;
}

/* Special case modules */
#devel-switch-user-form {
  margin-bottom: 0;
}

/* Veranstatlungsform */
#veranstaltung-node-form #edit-field-vng-datum .field-suffix img{
  margin-top: 5px;
  -moz-box-shadow: 0 0 10px #b9b8b9;
  -webkit-box-shadow: 0 0 10px #b9b8b9;
  box-shadow: 0 0 10px #b9b8b9;
}

#veranstaltung-node-form #edit-field-vng-datum fieldset{
  border: none;
  padding: 0;
}

#veranstaltung-node-form #edit-field-vng-datum .fieldset-legend {
  font-weight: bold;
}

#veranstaltung-node-form #edit-field-vng-datum .form-item label{
  font-weight: normal;
}

#veranstaltung-node-form .container-inline-date{
  width: 230px;
  float: left;
  clear: none;
}

#veranstaltung-node-form .container-inline-date > .form-item {
  border: none;
  margin-bottom: 0;
}

form#veranstaltung-node-form div.form-type-date-popup span.field-suffix {
  display: inline-block;
  float:right;
}

#veranstaltung-node-form .container-inline-date .date-padding {
  padding-left: 0;
}
/*#veranstaltung-node-form #edit-field-vng-planung  label{
  display: none;
}
#veranstaltung-node-form #edit-field-vng-planung #edit-field-vng-planung-und label{
  display:inline;
}*/
#veranstaltung-node-form label,
#veranstaltung-node-form span.fieldset-legend {
  font-weight: bold;
  font-size: 12px;
}

#veranstaltung-node-form label.option {
  font-weight: normal;
}

/* kostenlose Angebote */
#veranstaltung-node-form div .group-vng-preis label{
    font-weight: normal;
    float:left;
    margin-right: 10px;
    width:180px;
    line-height:14px;
    padding-top:6px;
}
#veranstaltung-node-form #edit-field-vng-region div .form-item{
    margin-top:0px;
    margin-bottom:0px;
    line-height:25px;
}
#veranstaltung-node-form div #edit-field-vng-region .form-item label{
    padding-top: 0px;
    line-height: 25px;
}

/* Angebotsregion */
/*
#veranstaltung-node-form div #edit-field-vng-anmeldungsart .form-item{
    clear:both;
}
*/
#veranstaltung-node-form input.form-checkbox {
  float: left;
  margin-right: 10px;
  margin-top: 4px;
}

#veranstaltung-node-form div input.form-radio {
  float:left;
  margin-right: 10px;
  margin-top: 5px;
}

#veranstaltung-node-form div #edit-field-vng-anmeldungsart div .form-item {
  margin-top: 0px;
  margin-bottom: 0px;
  line-height: 25px;
}
#veranstaltung-node-form div #edit-field-vng-anmeldungsart .form-item label span.registration-single{
    background: url("../images/icon_angebot_einzel.png") no-repeat top left transparent;
    height:25px;
    display: block;
    padding-left:30px;
    float:left;
}
#veranstaltung-node-form div #edit-field-vng-anmeldungsart .form-item label .registration-none{
    background: url("../images/icon_anmeldung_keine.png") no-repeat top left transparent;
    height:25px;
    display: block;
    padding-left:30px;
    float:left;
}
#veranstaltung-node-form div #edit-field-vng-anmeldungsart .form-item label span.registration-group{
    background: url("../images/icon_angebot_gruppe.png") no-repeat top left transparent;
    height:25px;
    display: block;
    padding-left:30px;
    float:left;
}
#veranstaltung-node-form div #edit-field-vng-region .form-item label span.region-local{
    background: url("../images/icon_angebot_lokal.png") no-repeat top left transparent;
    height:25px;
    display: block;
    padding-left:30px;
    float:left;
}
#veranstaltung-node-form div #edit-field-vng-angebotspreis .form-item label span.price-none{
    background: url("../images/icon_angebot_kostenlos.png") no-repeat top left transparent;
    height:25px;
    display: block;
    padding-left:30px;
    float:left;
}

#veranstaltung-node-form div #edit-field-vng-angebotspreis .form-item{
    clear:both;
    margin-bottom: 6px;
}
#veranstaltung-node-form div #edit-field-vng-angebotspreis .form-item input{
    float:left;
    padding-left:20px;
    margin-top: 5px;
}

#veranstaltung-node-form div #edit-field-vng-region .form-item label span.region-statewide{
    background: url("../images/icon_angebot_ueberregional.png") no-repeat top left transparent;
    height:25px;
    display: block;
    padding-left:30px;
    float:left;
    line-height:25px;
}

#veranstaltung-node-form div #edit-field-vng-veranstaltungsart .form-item label span.veranstaltungsart{
    background: url("../images/icon_rucksack.png") no-repeat top left transparent;
    height:25px;
    display: block;
    padding-left:30px;
    float:left;
    line-height:25px;
}
#edit-field-vng-veranstaltungsart #edit-field-vng-veranstaltungsart-und .form-item{
  clear:both;
  margin-bottom:8px;
}
#veranstaltung-node-form div #edit-field-vng-veranstaltungsart .form-item input{
    float:left;
    padding-left:20px;
    margin-top: 5px;
}


#veranstaltung-node-form div #edit-field-vng-angebotspreis-und .price-reduced{
    background: url("../images/icon_angebot_ermaessigt.png") no-repeat 0 0 transparent;
    height:25px;
    display: block;
    padding-left:30px;
    float:left;
    line-height:25px;
}
#veranstaltung-node-form div #edit-field-vng-angebotspreis .price-regular{
    background: url("../images/icon_angebot_kostenpflichtig.png") no-repeat 0 0 transparent;
    height:25px;
    display: block;
    padding-left:30px;
    float:left;
    line-height:25px;
}

/* Angebotspreis Übersichtsseite Anfang */
.field-name-field-vng-anmeldungsart .field-items .field-item .registration-none{
    background: url("../images/icon_anmeldung_keine.png") no-repeat 0 0 transparent;
    height:25px;
    display: block;
    float:left;
    line-height:25px;
    width:21px;
}

.article-type-veranstaltung .field-name-field-vng-region {
    display:none;
}

.article-type-veranstaltung .field-name-field-vng-anmeldungsart{
    float: left;
    width:21px;
}

.field-name-field-vng-angebotspreis .field-items .field-item .price-regular{
    background: url("../images/icon_angebot_kostenpflichtig.png") no-repeat 0 0 transparent;
    height:25px;
    display: block;
    float:left;
    line-height:25px;
    width:21px;
}

.view-mode-full .field-name-field-vng-anmeldungsart .field-items .field-item span{
    padding-left: 0px;
    margin-left: 0px;
}
.field-name-field-vng-anmeldungsart .field-items .field-item .registration-none{
    background: url("../images/icon_anmeldung_keine.png") no-repeat 0 0 transparent;
    height:25px;
    display: block;
    float:left;
    line-height:25px;
    width:21px;
}

.field-name-field-vng-angebotspreis .field-items .field-item .price-regular{
    background: url("../images/icon_angebot_kostenpflichtig.png") no-repeat 0 0 transparent;
    height:25px;
    display: block;
    margin-left: 7px;
    float:left;
    line-height:25px;
    width:21px;
}
.field-name-field-vng-angebotspreis .field-items .field-item .price-reduced{
    background: url("../images/icon_angebot_ermaessigt.png") no-repeat 0 0 transparent;
    height:25px;
    display: block;
    margin-left: 7px;
    float:left;
    line-height:25px;
    width:21px;
}

/* Angebotsregion Anfang */
.field-name-field-vng-anmeldungsart .field-items .field-item .registration-group{
    background: url("../images/icon_angebot_gruppe.png") no-repeat top left transparent;
    height:25px;
    display: block;
    margin-left: 7px;
    float:left;
    line-height:25px;
    width:21px;
}
.field-name-field-vng-anmeldungsart .field-items .field-item .registration-single{
    background: url("../images/icon_angebot_einzel.png") no-repeat top left transparent;
    height:25px;
    display: block;
    margin-left: 7px;
    float:left;
    line-height:25px;
    width:21px;
}


.field-name-field-vng-beschreibung{
    margin-bottom: 20px;
    margin-top:20px;

}
.view-mode-teaser .field-name-field-vng-beschreibung{
    margin-top:10px;
}

#edit-field-vng-markup-top {
  margin-top: 10px;
}


.group-vng-kontakt {
  border-bottom: 1px solid grey;
}

#edit-field-vng-kcard-extra {
  border-bottom: 1px solid grey;
  padding-bottom: 10px;
}
#edit-field-vng-oeffnungszeiten,
#edit-field-vng-sparten,
.group-vng-images,
#edit-field-vng-region,
#edit-field-vng-anmeldungsart,


#edit-field-vng-preis-beschreibbar {
  border-bottom: 1px solid grey;
  padding-bottom: 20px;
}

 #edit-field-vng-angebotspreis,

{
  border-bottom: 1px solid grey;
  padding-bottom: 20px;
} 

#edit-field-vng-preis .form-item-field-vng-preis-und-0-value{
    margin-bottom:0px;
}
#edit-field-vng-preis{
    float:left;
    margin-right:20px;
}
#edit-field-vng-preis-beschreibbar label{
    display: none;

}
#edit-field-picture-epository{
    clear:both;
}
#edit-field-vng-preis-beschreibbar {
    margin-top: 28px;
}
#edit-field-vng-preis-beschreibbar input#edit-field-vng-preis-beschreibbar-und-0-value{
    width:265px;
}
#edit-field-vng-zielgruppe {
  border-bottom: 1px solid grey;
}

/*Styles für das neue Veranstaltungsformular*/
div#edit-field-programm-upload .description
{
	display:none;
}

div#edit-field-vng-angebotspreis .description
{
	display:none;
}

textarea#edit-field-field-vng-address-und-0-value {
    max-width: 448px;
    min-width: 448px;
    max-height: 80px;
    min-height: 80px;
}

div#edit-field-field-vng-address .grippie {
    display: none;
}

textarea#edit-field-vng-beschreibung-und-0-value{
    max-width: 448px;
    min-width: 448px;
    max-height: 80px;
    min-height: 80px;
}

div#edit-field-vng-beschreibung .grippie {
    display: none;
}

div#edit-field-vng-beschreibung .description {
    display: none;
}

div#field-vng-altersangabe-add-more-wrapper
{
	display:none;
}

label[for=edit-field-vng-veranstaltungsart-und], label[for=edit-field-vng-kcard-extra-und]{
	display:none;
}

#edit-field-veranstaltung-ausgebucht
{
	border-top: 1px solid grey;
}

textarea#edit-field-vng-kontaktdaten-und-0-value{
    max-width: 448px;
    min-width: 448px;
    max-height: 80px;
    min-height: 80px;
}

div#edit-field-vng-kontaktdaten .grippie {
    display: none;
}
label[for=edit-field-vng-kontaktdaten-und-0-value]{
	display:none;
}

#edit-field-programm-upload {
    max-width: 448px;
}

#node-veranstaltung-form-group-vng-images {
    max-width: 448px;
}

div#edit-field-vng-image-banner input {
    margin-left: 0px;
}

#edit-field-vng-image-banner-und-0-upload {
    font-size: 12px !important;
}

#edit-field-programm-upload {
    max-width: 448px;
}

.form-item.form-type-select.form-item-field-vng-kommune-und select#edit-field-vng-kommune-und {
    max-width: 448px;
    min-width: 448px;
}

#veranstaltung-node-form #edit-field-vng-datum .form-item label {
    margin-top: -19px;
}

form#veranstaltung-node-form div.form-type-date-popup span.field-suffix {
    margin-right: -32px;
}